Release Notes
=============

Below is a summary of platform component updates, features, bug fixes, and
backend improvements for each Anaconda Adam release.

.. contents::
   :local:
   :depth: 2

Anaconda Adam 4.4.0
--------------------

Released: June 20, 2017

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.4.0/4.3.21   \-
Anaconda Enterprise Notebooks      4.1.2          4.2.14
Anaconda Repository                2.30.3         4.4.0
Anaconda Scale (Dask/Distributed)  0.15.0/1.17.1  4.4.0
Anaconda Scale (Jupyter Notebook)  5.0.0          4.2.14
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.4.0/download/adam-installer-4.4.0-Linux-x86_64.sh
* MD5: 64cc02dcaaf7829144cd82db786ab775
* SHA256: 663e2f93177830badadf5dea6647cb0e3d5376770999b85bb02d535d13cfac6d

Platform Component Updates:

* Updated to Anaconda 4.4.0 (conda 4.3.21)
* Updated to Miniconda 4.3.21 (conda 4.3.21)
* Updated to Anaconda Repository 2.30.3
* Updated to Dask 0.15.0 and Distributed 1.17.1

Anaconda Adam 4.2.14
--------------------

Released: April 28, 2017

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Enterprise Notebooks      4.1.2          4.2.14
Anaconda Repository                2.29.1         4.2.14
Anaconda Scale (Dask/Distributed)  0.14.1/1.16.1  4.2.14
Anaconda Scale (Jupyter Notebook)  5.0.0          4.2.14
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.14/download/adam-installer-4.2.14-Linux-x86_64.sh
* MD5: 3fd72336d12ee635323d3f3541cce1c0
* SHA256: 43275084838a698fee7329651d55b20b3087037cc14bec04e27d6d985d402fbd

Platform Component Updates:

* Updated to Anaconda Enterprise Notebooks 4.1.2
* Updated to Anaconda Repository 2.29.1
* Updated to Dask 0.14.1 and Distributed 1.16.1
* Updated to Jupyter Notebook 5.0.0

Anaconda Adam 4.2.13
--------------------

Released: March 2, 2017

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Enterprise Notebooks      4.1.1          4.2.11
Anaconda Repository                2.27.2         4.2.13
Anaconda Scale (Dask/Distributed)  0.14.0/1.16.0  4.2.13
Anaconda Scale (Jupyter Notebook)  4.3.1          4.2.11
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.13/download/adam-installer-4.2.13-Linux-x86_64.sh
* MD5: a49e1a0c16b00deaaff5d33b8663e8a5
* SHA256: 4d38ea7fca4e8d872bd64bfa80ecd641cfeaf9aac342d00d3e90b46914268c29

Platform Component Updates:

* Updated to Anaconda Repository 2.27.2
* Updated to Dask 0.14.0 and Distributed 1.16.0

Anaconda Adam 4.2.12
--------------------

Released: February 3, 2017

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Enterprise Notebooks      4.1.1          4.2.11
Anaconda Repository                2.26.3         4.2.11
Anaconda Scale (Dask/Distributed)  0.13.0/1.15.0  4.2.11
Anaconda Scale (Jupyter Notebook)  4.3.1          4.2.11
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.12/download/adam-installer-4.2.12-Linux-x86_64.sh
* MD5: b119e123b563b3c6ad659835afeec9f1
* SHA256: fd595b2eee304be5949a22e52d5cf2ee7fd41f8dcded6700ecf525746a846e19

Bug Fixes:

* Fix Anaconda/Miniconda download links to be compatible with new ``repo.continuum.io`` CDN

Anaconda Adam 4.2.11
--------------------

Released: January 16, 2017

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Enterprise Notebooks      4.1.1          4.2.11
Anaconda Repository                2.26.3         4.2.11
Anaconda Scale (Dask/Distributed)  0.13.0/1.15.0  4.2.11
Anaconda Scale (Jupyter Notebook)  4.3.1          4.2.11
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.11/download/adam-installer-4.2.11-Linux-x86_64.sh
* MD5: a6e4406c1552ff1e8ee91aff98ed9b3d
* SHA256: 6a49fa7e6f3d9912bbc3b3986a7b4516a98d2544e6d032242256e6630aea9f28

Platform Component Updates:

* Updated to Anaconda Enterprise Notebooks 4.1.1
* Updated to Anaconda Repository 2.26.3
* Updated to Dask 0.13.0 and Distributed 1.15.0
* Updated to Jupyter Notebook 4.3.1
* Removed Anaconda Accelerate as a standalone platform component (now installed as part of Anaconda Scale)

Features:

* Implemented default password in Jupyter Notebooks

Backend Improvements:

* Disable automatic updates of conda
* Updates for compatibility with conda 4.3.x features

Anaconda Adam 4.2.10
--------------------

Released: December 5, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Accelerate                2.3.0          4.2.7
Anaconda Enterprise Notebooks      4.1.0          4.2.4
Anaconda Repository                2.25.1         4.2.10
Anaconda Scale (Dask/Distributed)  0.12.0/1.14.3  4.2.10
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.7
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.10/download/adam-installer-4.2.10-Linux-x86_64.sh
* MD5: 4ec7e5aae0a6913ab8f14498ba657b7b
* SHA256: 15a843ec115f413167bad2ef6fe1b4aa7752e74ad8816a0f911042a5626c239a

Platform Component Updates:

* Updated to Anaconda Repository 2.25.1
* Updated to Dask 0.12.0 and Distributed 1.14.3
* Removed Anaconda Mosaic

Anaconda Adam 4.2.9
-------------------

Released: November 29, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Accelerate                2.3.0          4.2.7
Anaconda Enterprise Notebooks      4.1.0          4.2.4
Anaconda Mosaic                    1.3.1          4.2.7
Anaconda Repository                2.23.1         4.2.4
Anaconda Scale (Dask/Distributed)  0.11.1/1.13.3  4.2.7
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.7
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.9/download/adam-installer-4.2.9-Linux-x86_64.sh
* MD5: c1a5c61c0ae9e37686f9d3fb3670aa18
* SHA256: 90cb740f04ec5ac78b65c4574b0d4238eb5c8e913ddaec49c27dcb820665bd00

Bug Fixes:

* Fixed scripts that were not included in release bundle (required for ``service_scripts`` setting)

Anaconda Adam 4.2.8
-------------------

Released: November 29, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Accelerate                2.3.0          4.2.7
Anaconda Enterprise Notebooks      4.1.0          4.2.4
Anaconda Mosaic                    1.3.1          4.2.7
Anaconda Repository                2.23.1         4.2.4
Anaconda Scale (Dask/Distributed)  0.11.1/1.13.3  4.2.7
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.7
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.8/download/adam-installer-4.2.8-Linux-x86_64.sh
* MD5: f1083e30500b281e8c1d668c02ae8e3c
* SHA256: 5a4b4391b1743cfc03d7bfa2e5693cc064cbd609f4c4fea7438846f2fa8d27e8

Bug Fixes:

* Fixed issue with cluster profile settings not being migrated to cluster definition file

Anaconda Adam 4.2.7
-------------------

Released: November 16, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Accelerate                2.3.0          4.2.7
Anaconda Enterprise Notebooks      4.1.0          4.2.4
Anaconda Mosaic                    1.3.1          4.2.7
Anaconda Repository                2.23.1         4.2.4
Anaconda Scale (Dask/Distributed)  0.11.1/1.13.3  4.2.7
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.7
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.7/download/adam-installer-4.2.7-Linux-x86_64.sh
* MD5: e1efa2a6652ba8bc9cf974a07dbc1df2
* SHA256: 71f375ca4e7ab92072af71c970080950292e3b663fd3ca42c681651a154d682d

Features:

* Added configuration settings for ``salt_username``, ``salt_groupname``, and
  ``salt_password`` that gets created across the cluster and owns the directory
  and files located in the root installation directory

Backend Improvements:

* Added retries for Salt minion/API connection

Anaconda Adam 4.2.6
-------------------

Released: November 9, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Accelerate                2.3.0          4.2.1
Anaconda Enterprise Notebooks      4.1.0          4.2.4
Anaconda Mosaic                    1.3.1          4.2.6
Anaconda Repository                2.23.1         4.2.4
Anaconda Scale (Dask/Distributed)  0.11.1/1.13.3  4.2.3
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.1
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.6/download/adam-installer-4.2.6-Linux-x86_64.sh
* MD5: 035ee07ef6add9d60e23509bd91bebdf
* SHA256: 3a4ca7ce75a8781fac9d7f38ec768b40c39b52091d39267dd898ec33ef299724

Bug Fixes:

* Fixed installation issue with Anaconda Mosaic related to conda environments

Backend Improvements:

* Reverted to ``requests`` for file downloads via Salt HTTP module backend

Anaconda Adam 4.2.5
-------------------

Released: November 9, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.2.12   \-
Anaconda Accelerate                2.3.0          4.2.1
Anaconda Enterprise Notebooks      4.1.0          4.2.4
Anaconda Mosaic                    1.3.1          4.2.1
Anaconda Repository                2.23.1         4.2.4
Anaconda Scale (Dask/Distributed)  0.11.1/1.13.3  4.2.3
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.1
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.5/download/adam-installer-4.2.5-Linux-x86_64.sh
* MD5: 2614d2f8239aa0f3b8d070bd2a1ea83e
* SHA256: 5355646e8e143cc5929061422427ee6e1f2fa143c5898865ccd0122803b72fa5

Platform Component Updates:

* Updated to Miniconda 4.2.12 (conda 4.2.12)

Anaconda Adam 4.2.4
-------------------

Released: November 8, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.1.11   \-
Anaconda Accelerate                2.3.0          4.2.1
Anaconda Enterprise Notebooks      4.1.0          4.2.4
Anaconda Mosaic                    1.3.1          4.2.1
Anaconda Repository                2.23.1         4.2.4
Anaconda Scale (Dask/Distributed)  0.11.1/1.13.3  4.2.3
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.1
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.4/download/adam-installer-4.2.4-Linux-x86_64.sh
* MD5: 67df6905007d892aa6597c06d3fe0693
* SHA256: 2630798205a215ce0021db50591e8507c20cd36164eda27d74dcf1eb9a4d58fd

Platform Component Updates:

* Updated to Anaconda Enterprise Notebooks 4.1.0
* Updated to Anaconda Repository 2.23.1

Features:

* Added support for creating and updating environments using conda env YAML files and listing and removing environments with ``adam scale env``
* Added ``tmp_dir`` setting to cluster profile to configure temporary download location
* Added support for removing conda environments using ``adam scale conda remove -n my-env --all``

Bug Fixes:

* Fixed handling of proxy settings (including ``.condarc`` files) in cluster configuration/profile
* Fixed handling of security settings in cluster definition when using Amazon EC2 instances
* Fixed ownership for license directory in Anaconda Scale ``rootdir``; default: ``/opt/continuum/anaconda/licenses``

Backend Improvements:

* Added support for downloads from CDN by enabling location header redirects when using ``curl``
* Improved handling and catching for errors returned from Salt

Anaconda Adam 4.2.3
-------------------

Released: October 24, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.1.11   \-
Anaconda Accelerate                2.3.0          4.2.1
Anaconda Enterprise Notebooks      4.0.0          4.2.1
Anaconda Mosaic                    1.3.1          4.2.1
Anaconda Repository                2.22.0         4.2.3
Anaconda Scale (Dask/Distributed)  0.11.1/1.13.3  4.2.3
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.1
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.3/download/adam-installer-4.2.3-Linux-x86_64.sh
* MD5: a484a933afcebb99bafbc5bde4e63081
* SHA256: 8beb36f619f9d6177f0815090fa1ba7d41c769e47978d86c0b0c60164d63b996

Platform Component Updates:

* Updated to Anaconda Repository 2.22.0
* Updated to Dask 0.11.1 and Distributed 1.13.3

Backend Improvements:

* Updated ``ssl_verify`` setting to handle various inputs (true, false, or string)
* Switched to ``curl`` for downloading Anaconda/Miniconda in environments with SSL/proxies

Anaconda Adam 4.2.2
-------------------

Released: October 19, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.1.11   \-
Anaconda Accelerate                2.3.0          4.2.1
Anaconda Enterprise Notebooks      4.0.0          4.2.1
Anaconda Mosaic                    1.3.1          4.2.1
Anaconda Repository                2.21.0         4.2.1
Anaconda Scale (Dask/Distributed)  0.11.0/1.12.2  4.2.1
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.1
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.2/download/adam-installer-4.2.2-Linux-x86_64.sh
* MD5: b0a7cc3061283c0c2b8b86dc8643190c
* SHA256: f6ac6a6a1a6434b039d1ead09ddb056a09e07598859eb04eab33e24e9ad6d85c

Bug Fixes:

* Implemented various fixes related to conda configuration file (``.condarc``) and environment variable (``CONDARC``)

Anaconda Adam 4.2.1
-------------------

Released: October 14, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.1.11   \-
Anaconda Accelerate                2.3.0          4.2.1
Anaconda Enterprise Notebooks      4.0.0          4.2.1
Anaconda Mosaic                    1.3.1          4.2.1
Anaconda Repository                2.21.0         4.2.1
Anaconda Scale (Dask/Distributed)  0.11.0/1.12.2  4.2.1
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.1
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.1/download/adam-installer-4.2.1-Linux-x86_64.sh
* MD5: f8b01e94cf6b114b4d9df0f2074206a2
* SHA256: 3ce27577757eb576ed7e3863ad35c5ca37755cdcb0de8f634ca6215ee4b6c67a

Features:

* Improved output when checking node status (using Salt ``test.ping``)
* Added configuration settings to cluster profile related to Salt API username, password, and group

Anaconda Adam 4.2.0
-------------------

Released: October 6, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.2.0/4.1.11   \-
Anaconda Accelerate                2.3.0          4.2.0
Anaconda Enterprise Notebooks      4.0.0          4.2.0
Anaconda Mosaic                    1.3.1          4.2.0
Anaconda Repository                2.21.0         4.2.0
Anaconda Scale (Dask/Distributed)  0.11.0/1.12.2  4.2.0
Anaconda Scale (Jupyter Notebook)  4.2.3          4.2.0
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.2.0/download/adam-installer-4.2.0-Linux-x86_64.sh
* MD5: 4c6e685615d58486911f06c264bc1990
* SHA256: 0556ee1b7e8bcd379faf6c2089e7fb525d2845187361a2a96d99a281ba207108

Platform Component Updates:

* Updated to Anaconda 4.2.0 (conda 4.2.9)
* Updated to Anaconda Repository 2.21.0
* Updated to Dask 0.11.0 and Distributed 1.12.2
* Updated to Jupyter Notebook 4.2.3

Features:

* Improved error messaging for missing/incompatible cluster profile fields
* Improved handling of state for installed/enabled platform components
* Simplified ``adam describe`` ouput to hide platform components that are not installed

Bug Fixes:

* Fixed user/group ownership for platform component license directories
* Improved validation of SSH key pairs, passwords, or agent public keys
* Fixed check for existing Anaconda/Supervisor installations
* Improved hash check for Miniconda downloads
* Improved retry functionality for commands executed in parallel across multiple nodes
* Improved handling of returned states from remote conda commands
* Print URL when opening/viewing platform components if no browser is available

Backend Improvements:

* Renamed ``salt`` to ``salt_settings`` in cluster profile and added documentation
* Added conda canary builds to test framework

Anaconda Adam 4.1.2
-------------------

Released: August 24, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.1.1/4.1.11   \-
Anaconda Accelerate                2.3.0          4.1.0
Anaconda Enterprise Notebooks      4.0.0          4.1.1
Anaconda Mosaic                    1.3.1          4.1.0
Anaconda Repository                2.19.7         4.1.1
Anaconda Scale (Dask/Distributed)  0.10.2/1.11.3  4.1.0
Anaconda Scale (Jupyter Notebook)  4.2.2          4.1.0
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.1.2/download/adam-installer-4.1.2-Linux-x86_64.sh
* MD5: 672611f7cdc5902fad40c36549b9e214
* SHA256: db6b78338e126e017fcc6082add46f5d87a2bb48a21e5fd6191277ecb700031e

Features:

* Added support for installations via proxy (HTTP and HTTPS)

Bug Fixes:

* Fixed issue with the creation of a custom home directory for the ``anaconda`` user

Anaconda Adam 4.1.1
-------------------

Released: August 18, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.1.1/4.1.11   \-
Anaconda Accelerate                2.3.0          4.1.0
Anaconda Enterprise Notebooks      4.0.0          4.1.0
Anaconda Mosaic                    1.3.1          4.1.0
Anaconda Repository                2.19.7         4.1.0
Anaconda Scale (Dask/Distributed)  0.10.2/1.11.3  4.1.0
Anaconda Scale (Jupyter Notebook)  4.2.2          4.1.0
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.1.1/download/adam-installer-4.1.1-Linux-x86_64.sh
* MD5: 48a6fda5c16842ea2f138fe59723f425
* SHA256: c4c6f14d3c4ed0d85d7eb8eaa1faa2d5959cecfbad87d0025cfcfa2f521ed7db

Bug Fixes:

* Fixed issue with Salt API job responses
* Fixed issue with ``invoke_shell`` buffer size

Anaconda Adam 4.1.0
-------------------

Released: August 17, 2016

=================================  =============  ==============
Platform Component                 Version        Plugin Version
=================================  =============  ==============
Anaconda/Miniconda                 4.1.1/4.1.11   \-
Anaconda Accelerate                2.3.0          4.1.0
Anaconda Enterprise Notebooks      4.0.0          4.1.0
Anaconda Mosaic                    1.3.1          4.1.0
Anaconda Repository                2.19.7         4.1.0
Anaconda Scale (Dask/Distributed)  0.10.2/1.11.3  4.1.0
Anaconda Scale (Jupyter Notebook)  4.2.2          4.1.0
=================================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.1.0/download/adam-installer-4.1.0-Linux-x86_64.sh
* MD5: 063b75a7352e711626dd6e4eabef5228
* SHA256: 6dd4b344bec10ed6933a04d1d014260e94a6afb1b3acda4ca8093c60e80b6d3f

Platform Component Updates:

* Updated to Miniconda 4.1.11 (conda 4.1.11)
* Updated to Anaconda Repository 2.19.7
* Updated to Jupyter Notebook 4.2.2
* Initial release of Anaconda Scale platform component (replaces Anaconda for cluster management)

Bug Fixes:

* Fixed issue when attempting to disable SELinux
* Fixed licensing check when recreating an existing cluster
* Fixed use of ``host`` during installation of Anaconda Enterprise Notebooks

Backend Improvements:

* Renamed ``fqdn`` to ``host`` in cluster profile
* Changed default AEN Gateway port to 8089 in Anaconda Enterprise Notebooks
* Changed default system account to ``anaconda-server`` for Anaconda Repository
* Added diagnostic SSH checks to initial cluster provision
* Implemented asynchronous Salt jobs for cluster-wide tasks
* Added support for DSA and ECDSA SSH keys
* Added optional ``invoke_shell`` mode for installations with restricted ``sudo`` functionalty
* Updated to Salt 2016.3.1

Anaconda Adam 4.0.1
-------------------

Released: July 23, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.1.1/4.0.5    \-
Anaconda Accelerate            2.3.0          4.0.0
Anaconda Enterprise Notebooks  4.0.0          4.0.1
Anaconda Mosaic                1.3.1          4.0.0
Anaconda Repository            2.19.2         4.0.0
Dask/Distributed               0.10.1/1.11.2  4.0.0
Jupyter Notebook               4.2.1          4.0.0
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.0.1/download/adam-installer-4.0.1-Linux-x86_64.sh
* MD5: 90027abca5f16917946df2c9018a443f
* SHA256: df1e21a03745f60dba60ce99124275526deac64013f6a6d1c03b52c01eccb1b0

Backend Improvements:

* Store Anaconda Adam API certificates and keys in isolated location
* Disabled ``requiretty`` setting in ``/etc/sudoers`` when installing Anaconda Enterprise Notebooks

Anaconda Adam 4.0.0
-------------------

Released: July 22, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.1.1/4.0.5    \-
Anaconda Accelerate            2.3.0          4.0.0
Anaconda Enterprise Notebooks  4.0.0          4.0.0
Anaconda Mosaic                1.3.1          4.0.0
Anaconda Repository            2.19.2         4.0.0
Dask/Distributed               0.10.1/1.11.2  4.0.0
Jupyter Notebook               4.2.1          4.0.0
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/4.0.0/download/adam-installer-4.0.0-Linux-x86_64.sh
* MD5: 37662cf0d58955fc46205f2059372cd9
* SHA256: 57781eabbae9269171f3360dfff56afd9e016480ce43cfd907d62151ef380c12

Features:

* Sync Anaconda Adam version with Anaconda Platform version
* Fixed password setting for Jupyter Notebook

Anaconda Adam 1.6.2
-------------------

Released: July 21, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.1.1/4.0.5    \-
Anaconda Accelerate            2.3.0          1.6.0
Anaconda Enterprise Notebooks  4.0.0          1.6.0
Anaconda Mosaic                1.3.1          1.6.2
Anaconda Repository            2.19.2         1.6.0
Dask/Distributed               0.10.1/1.11.2  1.6.1
Jupyter Notebook               4.2.1          1.6.0
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.6.2/download/adam-installer-1.6.2-Linux-x86_64.sh
* MD5: 859d1b4b759cc0562866ee58a8ceeb35
* SHA256: 5d378bc7cb681f80f0b80435467d1f889788dd5efc61b5be0f1a07c5993d131e

Platform Component Updates:

* Updated to Dask 0.10.0 and Distributed 1.11.0
* Updated to Anaconda Mosaic 1.3.1

Features:

* Added conda ``channel_alias`` setting for global Anaconda installation

Anaconda Adam 1.6.0
-------------------

Released: July 19, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.1.1/4.0.5    \-
Anaconda Accelerate            2.3.0          1.6.0
Anaconda Enterprise Notebooks  4.0.0          1.6.0
Anaconda Mosaic                1.2.3          1.6.0
Anaconda Repository            2.19.2         1.6.0
Dask/Distributed               0.10.0/1.11.0  1.6.0
Jupyter Notebook               4.2.1          1.6.0
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.6.0/download/adam-installer-1.6.0-Linux-x86_64.sh
* MD5: ae7a4614b8e1312812baa9402f462aac
* SHA256: 996e66e0ca956aaa05cc089cf66ebaf76bb1d8532d69900abb765f9246d5bf60

Features:

* Improvements to airgapped installation process for Adam core library
* Added optional ``sudo_su`` mode for installations with restricted ``sudo`` functionalty
* A ``licenses`` directory is now created in the root of the ``adam`` installation location

Bug Fixes:

* Fixed hash key/value check for Anaconda/Miniconda installers

Backend Improvements:

* Improved checks for failed remote commands and conda commands

Anaconda Adam 1.5.5
-------------------

Released: July 14, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.1.1/4.0.5    \-
Anaconda Accelerate            2.3.0          1.5.2
Anaconda Enterprise Notebooks  4.0.0          1.5.2
Anaconda Mosaic                1.2.3          1.5.2
Anaconda Repository            2.19.2         1.5.4
Dask/Distributed               0.10.0/1.11.0  1.5.1
Jupyter Notebook               4.2.1          1.5.2
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.5.5/download/adam-installer-1.5.5-Linux-x86_64.sh
* MD5: e28887409326f3539743eda9beeff0b6
* SHA256: 9e6eb3854ed2bff57aab6573804478ec05f8586e8b4ecd8ee6d0cd5faa44d570

Bug Fixes:

* Fixed password-based SSH commands used during provision/installation

Anaconda Adam 1.5.4
-------------------

Released: July 13, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.1.1/4.0.5    \-
Anaconda Accelerate            2.3.0          1.5.2
Anaconda Enterprise Notebooks  4.0.0          1.5.2
Anaconda Mosaic                1.2.3          1.5.2
Anaconda Repository            2.19.2         1.5.4
Dask/Distributed               0.10.0/1.11.0  1.5.1
Jupyter Notebook               4.2.1          1.5.2
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.5.4/download/adam-installer-1.5.4-Linux-x86_64.sh
* MD5: 348928b0816c93a9ccb20a32fa6a6b20
* SHA256: a3f76295b61b02cda3d2f31c24dfd08fdb4739fb7aff3312753c5ba87ca3eaff

Platform Component Updates:

* Updated to Anaconda 4.1.1 (conda 4.1.6)
* Updated to Anaconda Repository 2.19.2

Features:

* Added conda ``channels`` setting for global Anaconda installation
* Support for multiple conda channels in conda commands
* Added explicit Anaconda and platform component installation steps to ``adam provision``, ``adam ec2``, and ``adam up``
* Added customizable platform component settings to cluster definition
* Ability to configure security settings for iptables and SELinux
* Improved confirmation/details when destroying Amazon EC2 instances

Bug Fixes:

* Fixed password-based SSH logins for cluster nodes

Anaconda Adam 1.5.3
-------------------

Released: July 11, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.1.0/4.0.5    \-
Anaconda Accelerate            2.3.0          1.5.1
Anaconda Enterprise Notebooks  4.0.0          1.5.1
Anaconda Mosaic                1.2.3          1.5.1
Anaconda Repository            2.19.1         1.5.2
Dask/Distributed               0.10.0/1.11.0  1.5.0
Jupyter Notebook               4.2.1          1.5.1
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.5.3/download/adam-installer-1.5.3-Linux-x86_64.sh
* MD5: 4e30813039ec5a7010324a3cf577c621
* SHA256: 83b03a7704b448bda9eec05b1cf6aa0c7b384cb4c4401a820559e077c2c104d6

Platform Component Updates:

* Updated to Anaconda 4.1.0 (conda 4.1.4)

Features:

* Changed default admin username and password for Anaconda Repository

Bug Fixes:

* Added ``setuptools`` as dependency for ``Adam``

Anaconda Adam 1.5.1
-------------------

Released: July 8, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.0.0/4.0.5    \-
Anaconda Accelerate            2.3.0          1.5.1
Anaconda Enterprise Notebooks  4.0.0          1.5.1
Anaconda Mosaic                1.2.3          1.5.1
Anaconda Repository            2.19.1         1.5.1
Dask/Distributed               0.10.0/1.11.0  1.5.0
Jupyter Notebook               4.2.1          1.5.0
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.5.1/download/adam-installer-1.5.1-Linux-x86_64.sh
* MD5: 8dfe05136a4f022c9611092b1cfc2373
* SHA256: 89b500affce32c0fb2df78b553d2c96277f0d7852037553710838ed4e82df36f

Features:

* Changed default AEN Gateway port to 8088 in Anaconda Enterprise Notebooks
* Added profile settings for Anaconda Repository

Anaconda Adam 1.5.0
-------------------

Released: July 7, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.0.0/4.0.5    \-
Anaconda Accelerate            2.3.0          1.5.1
Anaconda Enterprise Notebooks  4.0.0          1.5.0
Anaconda Mosaic                1.2.3          1.5.1
Anaconda Repository            2.19.1         1.5.0
Dask/Distributed               0.10.0/1.11.0  1.5.0
Jupyter Notebook               4.2.1          1.5.0
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.5.0/download/adam-installer-1.5.0-Linux-x86_64.sh
* MD5: b162d5425b0d41c96da6b65e45f841e7
* SHA256: 00d23cae15fc55fea1c82645f79d10d34e085d05c105d4a556402138730d7ae4

Platform Component Updates:

* Updated to Anaconda Repository 2.19.1
* Updated to Anaconda Accelerate 2.3.0
* Updated to Anaconda Mosaic 1.2.3

Backend Improvements:

* Updated license checks to be compatible with new platform component names

Anaconda Adam 1.4.2
-------------------

Released: July 6, 2016

=============================  =============  ==============
Platform Component             Version        Plugin Version
=============================  =============  ==============
Anaconda/Miniconda             4.0.0/4.0.5    \-
Anaconda Accelerate            2.2.0          1.4.1
Anaconda Enterprise Notebooks  4.0.0          1.4.1
Anaconda Mosaic                1.2.2          1.4.1
Anaconda Repository            2.18.1         1.4.1
Dask/Distributed               0.10.0/1.11.0  1.4.2
Jupyter Notebook               4.2.1          1.4.2
=============================  =============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.4.2/download/adam-installer-1.4.2-Linux-x86_64.sh
* MD5: c8c906b1623bf109813c588a126d7407
* SHA256: 0c17e670e13da18dc2d64e09980ce790bc0812754802f6937cc9ecc44efd0da0

Platform Component Updates:

* Updated to Dask 0.10.0 and Distributed 1.11.0
* Updated to Jupyter 1.4.2

Features:

* Added ``adam describe`` command to get detailed information about clusters and profiles

Bug Fixes:

* Fixed issue with compute node registration in Anaconda Enterprise Notebooks

Anaconda Adam 1.4.1
-------------------

Released: June 28, 2016

=============================  ============  ==============
Platform Component             Version       Plugin Version
=============================  ============  ==============
Anaconda/Miniconda             4.0.0/4.0.5    \-
Anaconda Accelerate            2.2.0         1.4.1
Anaconda Enterprise Notebooks  4.0.0         1.4.0
Anaconda Mosaic                1.2.2         1.4.1
Anaconda Repository            2.18.1        1.4.1
Dask/Distributed               0.9.0/1.10.2  1.4.1
Jupyter Notebook               \-            1.4.1
=============================  ============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.4.1/download/adam-installer-1.4.1-Linux-x86_64.sh
* MD5: 5ec1faec73d8cf53c3fdb6742f86daf5
* SHA256: 8f61c01029eaff31a1910bf56fbc3b33a0a4a845fcd86ddc12c673706dd1e06e

Features:

* Updated license checks in Dask and Notebook platform components

Bug Fixes:

* Fixed issue with license check

Anaconda Adam 1.4.0
-------------------

Released: June 28, 2016

=============================  ============  ==============
Platform Component             Version       Plugin Version
=============================  ============  ==============
Anaconda/Miniconda             4.0.0/4.0.5    \-
Anaconda Accelerate            2.2.0         1.4.1
Anaconda Enterprise Notebooks  4.0.0         1.4.0
Anaconda Mosaic                1.2.2         1.4.1
Anaconda Repository            2.18.1        1.4.1
Dask/Distributed               0.9.0/1.10.2  1.4.0
Jupyter Notebook               \-            1.4.1
=============================  ============  ==============

Download Anaconda Adam:

* Link: https://anaconda.org/anaconda-adam/adam-installer/1.4.0/download/adam-installer-1.4.0-Linux-x86_64.sh
* MD5: 7d9d2ebfb02e33977fb41d1dcf1240fc
* SHA256: a2f9c98338d4ba4e224ea815bb338d45ee719cc002af0f5c7d18a8f593a33d54

Features:

* Added ``adam info`` command with license information
* Added ``adam remove`` command to remove cluster definition file
* License files are now uploaded to nodes for each platform component
* Improved handling of license issues
* Installers are now automatically built and uploaded

Bug Fixes:

* Fixed Salt API timeout issue
* Fixed issue with Salt master and minions starting up

Backend improvements:

* Updated Salt to 2016.3.0
